Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2a
/
b2ba
/
{year}
/
{month}
Get GSTR-2A B2BA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/b2ba/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/b2ba/{year}/{month}"

headers = {
    "authorization": "<authorization>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/b2ba/{year}/{month}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "code": 200, "data": { "data": { "b2ba": [ { "cfs": "Y", "cfs3b": "Y", "ctin": "24ABCCR0123M1YZ", "fldtr1": "10-Jan-24", "flprdr1": "Dec-23", "inv": [ { "aspd": "Oct-23", "atyp": "D", "chksum": "6a93632fb89ac2028409a04ef1b538d38e9e50503b69c1ddd182570d61615aea", "idt": "25-10-2023", "inum": "RN1/FAMA-16557", "inv_typ": "R", "itms": [ { "itm_det": { "camt": 0, "iamt": 0, "rt": 18, "samt": 0, "txval": 0.01 }, "num": 1418 } ], "oidt": "25-10-2023", "oinum": "RN1/FAMA-16557", "pos": "24", "rchrg": "N", "val": 0.01 } ] } ] }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "28ddcef3-cea8-449b-bc59-7aac885e6216" }

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Path Parameters

year
string
required
month
string
required

Query Parameters

counterparty_gstin
string

optional Counter party GSTIN

Example:

"{{ctin}}"

Response

200 - application/json

200 Success / RET13509 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"28ddcef3-cea8-449b-bc59-7aac885e6216"